/* CSS Document */

:root{
	--color-error: #d4145a;
}

#main{
	margin-bottom: clamp(80px, calc(160 / 992 * 100dvw), 160px);
	& input,
	& select,
	& textarea,
	& button{
		background: white;
		border: 1px solid silver;
		&:focus-visible{
			outline: 2px solid var(--color-theme);
			outline-offset: -1px;
		}
		&:required{
			background-color: lemonchiffon;
			outline: 2px solid orangered;
			outline-offset: -1px;
		}
	}
	& input:not([type="checkbox"], [type="radio"]),
	& select,
	& textarea{
		width: 100%;
		min-height: 48px;
		padding: 8px;
	}
	& input{
		&[type="checkbox"],
		&[type="radio"]{
			display: inline-block;
			aspect-ratio: 1;
			width: 1em;
			border: 1px solid currentColor;
			color: inherit;
			&:checked{
				color: var(--color-theme);
				border-color: currentColor;
			}
			&:not(:disabled){
				cursor: pointer;
			}
		}
		&[type="checkbox"]{
			border-radius: 2px;
			&:checked{
				background: var(--color-theme) url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" style="fill: none; stroke: white; stroke-miterlimit: 10; stroke-width: 2px;"><polyline points="3.05 8.83 5.8 11.58 12.95 4.42"/></svg>') no-repeat center / contain;
				border-color: transparent;
			}
		}
		&[type="radio"]{
			border-radius: 100%;
			&:checked{
				background: radial-gradient(circle, white 30%, currentColor 30%);
				border-color: transparent;
			}
		}
	}
	& select{
		padding-right: 2em;
		background: white url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><polygon fill="silver" points="0,0 16,0 8,16"></polygon></svg>') no-repeat calc(100% - 0.75em) center / auto min(20%, 0.5em);
		cursor: pointer;
	}
,
			& > ul}

#inquiry,
#thanks{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	margin-top: clamp(24px, calc(40 / 768 * 100dvw), 40px);
	overflow: hidden;
	& h2{
		display: grid;
		grid-template-columns: auto 1fr;
		align-items: baseline;
		column-gap: 0.5em;
		font-weight: 600;
		font-size: clamp(24px, calc(40 / 768 * 100dvw), 40px);
		font-family: var(--font-min);
		letter-spacing: 0.05em;
		&:before{
			content: "";
			aspect-ratio: 1;
			width: 1em;
			background: var(--color-theme);
			transform: translateY(0.1em);
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 14 14"><path d="M14,7.69c-3.62,1.25-5.06,2.69-6.31,6.31,3.33-.33,5.98-2.98,6.31-6.31Z"/><path d="M14,6.31c-.33-3.33-2.98-5.98-6.31-6.31,1.25,3.62,2.69,5.06,6.31,6.31Z"/><path d="M0,7.69c.32,3.33,2.98,5.98,6.31,6.31-1.25-3.62-2.69-5.06-6.31-6.31Z"/><path d="M6.31,0C2.98.32.32,2.98,0,6.31,3.62,5.06,5.06,3.62,6.31,0Z"/></svg>') no-repeat center / contain;
		}
	}
	& h2+div{
		margin-top: clamp(24px, calc(40 / 992 * 100dvw), 40px);
	}
}

#toDownload{
	margin-top: clamp(40px, calc(80 / 992 * 100dvw), 80px);
	& ul{
		display: grid;
		justify-items: center;
		grid-row-gap: 16px;
	}
	& li{
		display: contents;
	}
	& a{
		display: grid;
		grid-template-columns: 1fr auto;
		align-items: center;
		column-gap: 0.5em;
		min-width: min(100%, 560px);
		min-height: clamp(48px, calc(64 / 768 * 100dvw), 64px);
		padding: 0.25em 1.5em 0.25em 2em;
		border: 1px solid currentColor;
		border-radius: clamp(24px, calc(32 / 768 * 100dvw), 32px);
		font-weight: 700;
		font-size: clamp(14px, calc(18 / 768 * 100dvw), 18px);
		letter-spacing: 0.05em;
		text-align: center;
		text-decoration: none;
		&:hover{
			background: var(--color-theme);
			border-color: transparent;
			color: #fff;
		}
		&:after{
			content: "";
			aspect-ratio: 1;
			width: 20px;
			background: currentColor;
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M9.29,14.67c.2.2.45.29.71.29s.51-.1.71-.29l6-6c.39-.39.39-1.02,0-1.41s-1.02-.39-1.41,0l-4.29,4.29V2c0-.55-.45-1-1-1s-1,.45-1,1v9.54l-4.29-4.29c-.39-.39-1.02-.39-1.41,0s-.39,1.02,0,1.41l6,6ZM19,12c-.55,0-1,.45-1,1v5H2v-5c0-.55-.45-1-1-1s-1,.45-1,1v6c0,.55.45,1,1,1h18c.55,0,1-.45,1-1v-6c0-.55-.45-1-1-1Z"/></svg>') no-repeat center / contain;
		}
	}
}

#form{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	margin-top: clamp(24px, calc(40 / 992 * 100dvw), 40px);
}

#noticeFoot{
	margin-top: clamp(16px, calc(24 / 992 * 100dvw), 24px);
}

#policy{
	display: flex;
	justify-content: center;
	margin-top: clamp(32px, calc(56 / 992 * 100dvw), 56px);
}

#agreement{
	display: grid;
	grid-template-columns: auto 1fr;
	column-gap: 0.25em;
	&.err{
		padding: 8px 12px;
		border: 2px solid var(--color-error);
	}
	& label{
		font-weight: 700;
		letter-spacing: 0.05em;
	}
	& input{
		font-weight: 700;
		transform: translateY(calc(0.825em - 50%));
	}
	& a{
		text-decoration: underline;
	}
}

#captcha{
	justify-self: center;
	margin-top: clamp(32px, calc(56 / 992 * 100dvw), 56px);
	&:not(:has(div)){
		display: none;
	}
	.captcha-holder{
		width: 100%;
		border-color: #f33f46;
		border-width: 2px;
	}
	.captcha-success{
		border-color: #5bd25b;
	}
}

#submit{
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	grid-gap: 16px 24px;
	margin-top: clamp(32px, calc(56 / 992 * 100dvw), 56px);
	& button{
		display: grid;
		align-items: center;
		min-width: min(100%, 420px);
		min-height: clamp(48px, calc(64 / 768 * 100dvw), 64px);
		padding: 0.25em 1.5em;
		background: #fff;
		border: 1px solid currentColor;
		border-radius: clamp(24px, calc(32 / 768 * 100dvw), 32px);
		color: var(--color-theme);
		font-weight: 700;
		font-size: clamp(14px, calc(18 / 768 * 100dvw), 18px);
		text-align: center;
		transition: all 0.2s ease-out;
		&:hover{
			background: var(--color-theme);
			border-color: transparent;
			color: #fff;
		}
		&.lsf-error-btn{
			background: var(--color-error);
			border-color: transparent;
			color: #fff;
		}
		&#btnModify{
			background: transparent;
			border: 1px solid #ccc;
			color: inherit;
			&:hover{
				background: #ccc;
				border-color: transparent;
			}
		}
	}
}

#back{
	display: grid;
	grid-template-columns: var(--wrap);
	justify-content: center;
	justify-items: center;
	margin-top: 16px;
	& a{
		display: grid;
		grid-template-columns: auto 1fr;
		align-items: center;
		column-gap: 0.5em;
		min-width: min(100%, 420px);
		min-height: clamp(48px, calc(64 / 768 * 100dvw), 64px);
		padding: 0.25em 1.5em 0.25em 2em;
		border: 1px solid currentColor;
		border-radius: clamp(24px, calc(32 / 768 * 100dvw), 32px);
		font-weight: 700;
		font-size: clamp(14px, calc(18 / 768 * 100dvw), 18px);
		letter-spacing: 0.05em;
		text-align: center;
		text-decoration: none;
		&:hover{
			background: var(--color-theme);
			border-color: transparent;
			color: #fff;
		}
		&:before{
			content: "";
			aspect-ratio: 1;
			width: 16px;
			background: currentColor;
			transform: scale(-1, 1);
			-webkit-mask: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><polyline points="5.6 3.2 10.4 8 5.6 12.8" style="fill: none; stroke: black; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"/></svg>') no-repeat center / 16px;
		}
		@media (min-width: 768px) {
			&:before{
				-webkit-mask-image: url('data:image/svg+xml;charset=UTF-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><polyline points="4.8 1.6 11.2 8 4.8 14.4" style="fill: none; stroke: black; stroke-linecap: round; stroke-linejoin: round; stroke-width: 2px;"/></svg>');
			}
		}
	}
}

.fr-view{
	font-weight: 500;
}

.entry{
	display: grid;
	border-bottom: 1px solid #dedede;
	& dt,
	& dd{
		padding: 16px;
		font-weight: 500;
	}
	& dt{
		display: grid;
		column-gap: 8px;
		background: var(--color-theme);
		color: #fff;
		font-weight: 700;
		z-index: 1;
		&.acids{
			grid-template-columns: 1fr auto;
			&:after{
				content: "\5FC5\9808";
				align-self: start;
				display: grid;
				align-items: center;
				min-height: 16px;
				padding: 0.25em 0.5em;
				background: var(--color-error);
				border-radius: 2px;
				color: #fff;
				font-weight: 700;
				font-size: 12px;
				letter-spacing: 0.05em;
				line-height: 1;
				transform: translateY(0.4em);
			}
		}
	}
	& dd{
		display: grid;
		grid-row-gap: 8px;
		background: snow;
		& a:not(:hover){
			text-decoration: none;
		}
	}
	& ul{
		display: flex;
		flex-wrap: wrap;
		grid-gap: 8px 24px;
		padding: 8px;
	}
	& li{
		&:has(input){
			display: grid;
			grid-template-columns: auto 1fr;
			grid-gap: 8px;
			}
		& input{
			transform: translateY(0.4em);
		}
	}
	& p{
		&.error{
			color: var(--color-error);
		}
	}
	& textarea{
		background-color: #fff;
	}
	& select{
		background-color: #fff;
	}
	.err{
		background-color: #ffffcc;
		border: 2px solid var(--color-error);
	}
	@media (min-width: 576px) {
		grid-template-columns: auto 1fr;
		& dt,
		& dd{
			border-top: 1px solid #dedede;
		}
		& dt{
			min-width: 10em;
			max-width: 20em;
			padding: 24px 16px;
		}
		& dd{
			border-top: 1px solid #dedede;
			& p{
				&:first-child{
					margin-top: 8px;
				}
				&:last-child{
					margin-bottom: 8px;
				}
			}
		}
	}
}





